const state = {
    cart: []
}

const getters = {
    getCartItems(state) {
        return state.cart
    },
    isEmpty(state) {
        return state.cart.length !== 0
    }
}

const mutations = {
    addToCart(state, payload) {
        state.cart.push(payload.data)
    }
}

const actions = {
    addToCart({ commit }, payload) {
        commit('addToCart', payload)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}